Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007929opensim[REGION] Specific OpenSim Modulepublic2016-06-19 17:162019-02-06 11:30
ReporterMandarinka Tasty 
Assigned ToDiva 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformUnix,WinOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0007929: Deeding full perm object to group makes it not available for sale
DescriptionHello everyone :)


I have noticed very serious bug referrign objects deeding to the group.

I confirm existence of this bug in 0.9.0.

The full permissive object with permissions for next owner:

VMCT = Move, Modify, Copy, Transfer

after deeding to the group loses its transferability and it can't be set for sale.

that is absolutely big regression to 0.8.2 versions

Absolutely not acceptable behaviour in aspect of management of group objects and

security relying on them.

I only remind here: what we expect,

when we have full permissive object and we set for next owner permissions:

MOD, COPY, TRANSFER, then after deeding this object to the group,

new owner = group can also transfer it and set it for sale.

And in this way, we do not lose such object.

It can be reused: typical sl routine examples:

television sets, orb security tools etc.

Steps To ReproduceI. create object

II. set for next owner permissions: MOD, COPY, TRANSFER

III. deed it to the group

IV. edit again this object and observe that object can't be set for sale.
Additional InformationIn my quick investigation problem concerns lack of transferability of objects

that are deeded to the group.

Additional problem I have noticed is that box Share is still checked in

after deeding object to the group.

That is absolutely also unacceptable.

Since object, that has been deeded to the group should be only modified

by members of the group with specific ability: Manipulate group-owned = owners of the group , officers and other members with this exactly specified ability

but other members of the group should not get any permissions to modify group-owned object = Security Warning !

And now, with this Share box, in edit tool window, when it is still

checked in after deeding object to the group, everyone in the group has

access to modify group-owned object.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineBasicPhysics
Script Engine
EnvironmentMono / Linux64, Mono / Windows
Mono VersionOther
Viewer
Attached Filesjpg file icon Deed Problem Sale.JPG [^] (90,330 bytes) 2016-06-19 21:07

- Relationships

-  Notes
(0030587)
Mandarinka Tasty (reporter)
2016-06-19 17:28

Certainly, please test it with disabling god powers, to avoid problem with permissions.

Opensim.ini

allow_grid_gods = false

region_owner_is_god = false

region_manager_is_god = false

parcel_owner_is_god = false
(0030590)
Diva (administrator)
2016-06-19 20:11

I cannot reproduce this. I was able to set the object on sale by the group officer.
(0030592)
Mandarinka Tasty (reporter)
2016-06-19 20:43
edited on: 2016-06-19 20:45

But group officer has region god powers ?

I can't set object owned by group for sale, when

all "god variables" are false.

Please precisely check those variables in Opensim.ini

for me, box for sale is not tickable, I can't use it at all,

when object is group owned = deeded to the group, not just set, but deeded.

(0030593)
Mandarinka Tasty (reporter)
2016-06-19 20:55

Important also,after deeding object to the group,

please close edit tool window and next again edit the object.

When I do such process, for sale box is greyed out.

All works when "god variables" are true, but in case, they are false,

it does not work.
(0030594)
Mandarinka Tasty (reporter)
2016-06-19 21:10
edited on: 2016-06-19 21:11

I have also added the photo.

As you can precisely notice,

Object is owned by group: NATASHA & CHRIS

and box For sale is greyed out !

and please also notice carefully permissions for next owner.

Problem is seen here: G: VMC, , it lacks T, to make transferabiltiy work for group owned objects.

N: VMCT <--- that is definition of available permissions for the object

in context of next owner

(0030597)
Diva (administrator)
2016-06-20 08:09

I got a repro with region_gods = false.
Next time please add these important details to the reproduction steps, because that's the only part I read of the bug reports.
(0030603)
Diva (administrator)
2016-06-20 10:09

[10:08] <cia-opensim> opensim: diva * r359908fa88c4 OpenSim/Region (3 files in 3 dirs):
[10:08] <cia-opensim> Related to mantis 0007929: "For sale" was not being accepted, because of permissions fail. This adds a new permissions check CanSellGroupObject. THIRD-PARTY PERMISSIONS MODULES TAKE NOTE OF THIS NEW EVENT.
[10:08] <cia-opensim> http://opensimulator.org/viewgit/?a=commit&p=opensim&h=359908fa88c4f9188746e87350701750478fbf2f [^]
[10:08] <cia-opensim> opensim: diva * r623a2f859ff6 OpenSim/Region/Framework/Scenes (Scene.Inventory.cs SceneObjectGroup.cs):
[10:08] <cia-opensim> Mantis 0007929: objects deeded to the group were loosing some important properties. This makes the "For sale" be visible, but is not the end of the story.
(0030607)
Mandarinka Tasty (reporter)
2016-06-20 14:21

Hello Diva again :)

I have checked and verified last your works related to our problem.

Indeed, setting for sale of group-owned objects properly work in case:

region_gods = false.

But it works delicately too much, because:

non-transferable and also non-modyfiable group-owned objects can be set for sale too.

And that is unacceptable situation, since it breaks permission system.

Steps to reproduce:

1, create object

2, set permissions for next owner in one of following ways:

a) MOD, COPY, NO TRANSFER = (N: VMC)

b) NO MOD, COPY, NO TRANSFER = (N: VC)

c) NO MOD, NO COPY, TRANSFER = (N: VT)

3. deed the object to the group

4, edit the object and observe that in each of described cases

object can be set for sale and can be sold = it changes ownership = breaks permissions.

Because non-transferable objects can't be set for sale, since they can't be transfered

and also non-modyfiable obejcts can't be set for sale, since no mod= no edit =

lack of possibility to set for sale
(0030608)
Diva (administrator)
2016-06-20 14:41

Sorry, I don't understand.
I don't see anything broken.
You own an object, you set it to "next owner has no transfer rights". Then you deed the object to the group. Technically, the group is not "the next owner", since you didn't transfer the object, you simply deeded it. So I assume that whatever rights you had over the object are transferred to the group to which you deeded the object. If you have full perms, the group will have full perms.

Is this not how SL works?
(0030609)
Mandarinka Tasty (reporter)
2016-06-20 14:44

Absolutely, the group is also: the next owner.

Group-owned objects are understood liek objects owned by other owner,

different than last owner.

In sl, when for example, group-owned object is non-transferable and

is returned, then it dies, without return to the inventory,
(0030610)
Mandarinka Tasty (reporter)
2016-06-20 14:46

the group in aspect of ownership of obejcts and parcels

is considered and understood as new, authonomic owner.
(0030611)
Mandarinka Tasty (reporter)
2016-06-20 14:49

When you deed an object to a group, it is the same as a transfer. The "Next Owner Can" permissions will go into effect.
Example: You create an object, set the next owner permissions as transfer only. You can copy or modify it since you are the owner. Now transfer it to the group. The next owner permissions take effect and you will see the object is now Transfer only.
(0030612)
Diva (administrator)
2016-06-20 15:33

[15:32] <cia-opensim> opensim: diva * rbc0fc16f4496 OpenSim/Region/Framework/Scenes (Scene.Inventory.cs):
[15:32] <cia-opensim> Still mantis 0007929: apply next owner mask to the new owner, the group.
(0030613)
Mandarinka Tasty (reporter)
2016-06-20 16:53

I confirm it :) Next Owner permissions are beign correctly applied

for the object, that has been deeded to the group.


There are few other things referring to behaviour of group-owned object and its

inventory in aspect of applying permissions, not necessarily connected with setting group-owned object for sale.

Do we continue mentioning here or it needs new report ?
(0030614)
Diva (administrator)
2016-06-20 17:51

Make a new mantis, maybe someone can attach a patch. I don't guarantee I'll get to it for the release, because this is something that I really don't use.
(0030615)
Mandarinka Tasty (reporter)
2016-06-20 17:53

ok :) Thank You :)
(0030616)
Diva (administrator)
2016-06-20 19:53

As per reported
(0034528)
BillBlight (developer)
2019-02-06 11:30

Marked as Resolved but never closed, can be reopened if needed.

- Issue History
Date Modified Username Field Change
2016-06-19 17:16 Mandarinka Tasty New Issue
2016-06-19 17:28 Mandarinka Tasty Note Added: 0030587
2016-06-19 20:11 Diva Note Added: 0030590
2016-06-19 20:43 Mandarinka Tasty Note Added: 0030592
2016-06-19 20:45 Mandarinka Tasty Note Edited: 0030592 View Revisions
2016-06-19 20:55 Mandarinka Tasty Note Added: 0030593
2016-06-19 21:07 Mandarinka Tasty File Added: Deed Problem Sale.JPG
2016-06-19 21:10 Mandarinka Tasty Note Added: 0030594
2016-06-19 21:11 Mandarinka Tasty Note Edited: 0030594 View Revisions
2016-06-20 08:09 Diva Note Added: 0030597
2016-06-20 08:09 Diva Assigned To => Diva
2016-06-20 08:09 Diva Status new => confirmed
2016-06-20 10:09 Diva Note Added: 0030603
2016-06-20 14:21 Mandarinka Tasty Note Added: 0030607
2016-06-20 14:41 Diva Note Added: 0030608
2016-06-20 14:44 Mandarinka Tasty Note Added: 0030609
2016-06-20 14:46 Mandarinka Tasty Note Added: 0030610
2016-06-20 14:49 Mandarinka Tasty Note Added: 0030611
2016-06-20 15:33 Diva Note Added: 0030612
2016-06-20 16:53 Mandarinka Tasty Note Added: 0030613
2016-06-20 17:51 Diva Note Added: 0030614
2016-06-20 17:53 Mandarinka Tasty Note Added: 0030615
2016-06-20 19:53 Diva Note Added: 0030616
2016-06-20 19:53 Diva Status confirmed => resolved
2016-06-20 19:53 Diva Resolution open => fixed
2019-02-06 11:30 BillBlight Note Added: 0034528
2019-02-06 11:30 BillBlight Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker